//-------------------------------------------
// StandardMenu.cs  2001 by Charles Petzold
//-------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class StandardMenu: Form
{
     MenuItem miFileOpen, miFileSave;
     MenuItem miEditCut, miEditCopy, miEditPaste;

          // Variables experimentales para cdigo Popup

     bool bDocumentPresent  = true;
     bool bNonNullSelection = true;
     bool bStuffInClipboard = false;

     public static void Main()
     {
          Application.Run(new StandardMenu());
     }
     public StandardMenu()
     {
          Text = "Men estndar";
          Menu = new MainMenu();

               // Archivo

          MenuItem mi = new MenuItem("&Archivo");
          mi.Popup += new EventHandler(MenuFileOnPopup);
          Menu.MenuItems.Add(mi);
          int index = Menu.MenuItems.Count - 1;

               // Archivo Abrir

          miFileOpen = new MenuItem("&Abrir...");
          miFileOpen.Click += new EventHandler(MenuFileOpenOnClick);
          miFileOpen.Shortcut = Shortcut.CtrlA;
          Menu.MenuItems[index].MenuItems.Add(miFileOpen);

               // Archivo Guardar

          miFileSave  = new MenuItem("&Guardar");
          miFileSave.Click += new EventHandler(MenuFileSaveOnClick);
          miFileSave.Shortcut = Shortcut.CtrlG;
          Menu.MenuItems[index].MenuItems.Add(miFileSave);

               // Lnea horizontal

          mi = new MenuItem("-");
          Menu.MenuItems[index].MenuItems.Add(mi);

               // Archivo Salir

          mi = new MenuItem("&Salir");
          mi.Click += new EventHandler(MenuFileExitOnClick);
          Menu.MenuItems[index].MenuItems.Add(mi);

               // Edicin

          mi = new MenuItem("&Edicin");
          mi.Popup += new EventHandler(MenuEditOnPopup);
          Menu.MenuItems.Add(mi);
          index = Menu.MenuItems.Count - 1;

               // Edicin Cortar

          miEditCut = new MenuItem("Cor&tar");
          miEditCut.Click += new EventHandler(MenuEditCutOnClick);
          miEditCut.Shortcut = Shortcut.CtrlX;
          Menu.MenuItems[index].MenuItems.Add(miEditCut);

               // Edicin Copiar

          miEditCopy = new MenuItem("&Copiar");
          miEditCopy.Click += new EventHandler(MenuEditCopyOnClick);
          miEditCopy.Shortcut = Shortcut.CtrlC;
          Menu.MenuItems[index].MenuItems.Add(miEditCopy);

               // Edicin Pegar

          miEditPaste = new MenuItem("&Pegar");
          miEditPaste.Click += new EventHandler(MenuEditCopyOnClick);
          miEditPaste.Shortcut = Shortcut.CtrlV;
          Menu.MenuItems[index].MenuItems.Add(miEditPaste);

               // Ayuda

          mi = new MenuItem("&?");
          Menu.MenuItems.Add(mi);
          index = Menu.MenuItems.Count - 1;

               // Ayuda Acerca de

          mi = new MenuItem("&Acerca de StandardMenu...");
          mi.Click += new EventHandler(MenuHelpAboutOnClick);
          Menu.MenuItems[index].MenuItems.Add(mi);
     }
     void MenuFileOnPopup(object obj, EventArgs ea)
     {
          miFileSave.Enabled = bDocumentPresent;
     }
     void MenuEditOnPopup(object obj, EventArgs ea)
     {
          miEditCut.Enabled = bNonNullSelection;
          miEditCopy.Enabled = bNonNullSelection;
          miEditPaste.Enabled = bStuffInClipboard;
     }
     void MenuFileOpenOnClick(object obj, EventArgs ea)
     {
          MessageBox.Show("Esto debera ser un cuadro de dilogo Archivo Abrir!", Text);
     }
     void MenuFileSaveOnClick(object obj, EventArgs ea)
     {
          MessageBox.Show("Esto debera ser un cuadro de dilogo Archivo Guardar!", Text);
     }
     void MenuFileExitOnClick(object obj, EventArgs ea)
     {
          Close();
     }
     void MenuEditCutOnClick(object obj, EventArgs ea)
     {
          // Copia la seleccin al Portapapeles; elimina del documento.
     }
     void MenuEditCopyOnClick(object obj, EventArgs ea)
     {
          // Copia la seleccin al Portapapeles.
     }
     void MenuEditPasteOnClick(object obj, EventArgs ea)
     {
          // Copia los datos del Portapapeles en el documento.
     }
     void MenuHelpAboutOnClick(object obj, EventArgs ea)
     {
          MessageBox.Show("StandardMenu  2001 por Charles Petzold", Text);
     }
}          